<?php

namespace Tests\Feature\API\Auth;

use Tests\TestCase;
use App\Models\User;
use Illuminate\Foundation\Testing\RefreshDatabase;

class RegisterControllerTest extends TestCase
{
        use RefreshDatabase;

        /** @test */
        public function register_new_user()
        {
            $user = [
                'name' => 'Bilal Haidar',
                'email' => 'test@example.com',
                'password' => 'password',
                'device_name' => 'Bilal iPhone 12',
            ];

            $response = $this->post('/api/register', [
                'name' => $user['name'],
                'email' => $user['email'],
                'password' => $user['password'],
                'password_confirmation' => $user['password'],
                'device_name' => $user['device_name'],
            ]);

            $response->assertSuccessful();
            $this->assertNotEmpty($response->getContent());
            $this->assertDatabaseHas('users', ['email' => $user['email']]);
            $this->assertDatabaseHas('personal_access_tokens', ['name' => $user['device_name']]);
        }
    }
